package com.ho.business.service;


import com.ho.business.entity.VirtualDeviceCol;
import com.ho.business.vo.req.VirtualDeviceColReq;
import com.ho.business.vo.req.deviceModel.SynchronousReqVo;
import com.ho.business.vo.resp.VirtualDeviceColResp;
import com.ho.business.vo.resp.point.Point;
import com.ho.common.tools.util.PageResult;

import java.util.List;

/**
* @author xwz
* @description 针对表【virtual_device_col】的数据库操作Service
* @createDate 2023-05-05
*/
public interface VirtualDeviceColService {

    /**
     * 查询分页接口
     * @param vo
     * @return
     */
    PageResult<VirtualDeviceColResp> getPageList(VirtualDeviceColReq vo);

    /**
     * 查询不带分页接口
     * @param vo
     * @return
     */
    List<VirtualDeviceColResp> getList(VirtualDeviceCol vo);

    /**
     * 新增单条记录
     * @param virtualDeviceCol
     * @return
     */
    int insertVirtualDeviceCol(VirtualDeviceCol virtualDeviceCol);

    /**
     * 批量插入
     * @param virtualDeviceColList
     * @return
     */
    int insertList(List<VirtualDeviceCol> virtualDeviceColList);

    /**
     * 修改单条记录
     * @param virtualDeviceCol
     * @return
     */
    int updateVirtualDeviceCol(VirtualDeviceCol virtualDeviceCol);

    /**
     * 批量更新
     * @param virtualDeviceColList
     * @return
     */
    int updateList(List<VirtualDeviceCol> virtualDeviceColList);

    /**
     * 删除单条记录
     * @param id
     * @return
     */
    int deleteByPrimaryKey(Integer id);

    /**
     * 批量删除
     * @param ids
     * @return
     */
    int deleteByList(List<Integer> ids);

    VirtualDeviceCol selectByColId(Point point);

    void getSynchronousV(SynchronousReqVo vo);

    List<VirtualDeviceCol> selectBySrcId(Integer stationId, List<Integer> collect,String type);
}
